package net.minecraft.src;
import java.util.Random;
import net.minecraft.client.Minecraft;
import java.util.*;
import java.io.*;


public class mod_AssassinsKnife extends BaseMod{

    public static final int texture_knife=ModLoader.addOverride("/gui/items.png", "/assassinsknife.png");
    public static final int texture_bigflint=ModLoader.addOverride("/gui/items.png", "/bigflint.png");
    public static final int texture_flintshard=ModLoader.addOverride("/gui/items.png", "/flintshard.png");
    public static final int texture_flintshardH=ModLoader.addOverride("/gui/items.png", "/flintshardh.png");

    public static Item bigFlint = (new Item(23767)).setIconIndex(texture_bigflint).setItemName("bigFlint");
    public static Item flintShard = (new Item(23768)).setIconIndex(texture_flintshard).setItemName("flintShard");
    public static Item HflintShard = (new Item(23769)).setIconIndex(texture_flintshardH).setItemName("flintShardH");
    public static Item knife = (new ItemAssassinsKnife(23770)).setIconIndex(texture_knife).setItemName("assassinsKnife");

    public mod_AssassinsKnife()
    {
	Block.blocksList[13]=null;
	Block.blocksList[13]=(new BlockGravelBigFlint(13, 19)).setHardness(0.6F).setStepSound(Block.soundGravelFootstep).setBlockName("gravel");
	ModLoader.AddName(bigFlint, "Big Flint");
	ModLoader.AddName(flintShard, "Flint Shard");
	ModLoader.AddName(HflintShard, "Hardened Flint Shard");
	ModLoader.AddName(knife, "Assassins' Knife");
	
	ModLoader.AddShapelessRecipe(new ItemStack(flintShard),new Object[] {bigFlint});
	ModLoader.AddSmelting(flintShard.shiftedIndex, new ItemStack(HflintShard));
	ModLoader.AddRecipe(new ItemStack(knife),new Object[] { "X","#", Character.valueOf('X'), HflintShard, Character.valueOf('#'), Item.stick});
	
	ModLoader.SetInGameHook(this, true, false);
    }


    public boolean OnTickInGame(Minecraft minecraft)
    {
	ItemStack weapon = minecraft.thePlayer.inventory.getCurrentItem();


	if(weapon == null || weapon.itemID != knife.shiftedIndex)
	{
	    return true;
	}
	if(weapon.itemID == knife.shiftedIndex)
	{	    
	    List list = minecraft.theWorld.getEntitiesWithinAABBExcludingEntity(null, minecraft.thePlayer.boundingBox.expand(64D, 64D, 64D));
	    for(int j = 0; j < list.size(); j++)
	    {
		Entity entity1 = (Entity)list.get(j);
		if(entity1 instanceof EntityPigZombie)
		{
		    ((EntityPigZombie)entity1).calmDown();
		}

		if(entity1 instanceof EntityWolf){
		    ((EntityWolf)entity1).setWolfAngry(false);
		    ((EntityWolf)entity1).setTarget(null);
		}
		if(entity1 instanceof EntityCreature){
		    ((EntityCreature)entity1).setPathToEntity(null);
		    ((EntityCreature)entity1).setTarget(null);
		}
	    }
	}	
	return true;
    }

    public String Version()
    {
	return "Beta 1.7.3";
    }
}
